Subject: RE: [BUG] `git describe` doesn't traverse the graph in topological order

From: <[email-masked]>
Date: Fri, 22 Sep 2023 12:13:00 -0400

On Friday, September 22, 2023 11:40 AM, Ben Boeckel wrote:
>On Sat, Aug 12, 2023 at 15:36:56 -0400, Ben Boeckel wrote:
>> I found an issue where `git describe` doesn't find a "closer" tag than
>> another tag as the correct one to base the description off of. I have
>> a reproducer, but I'll first give details of the real world issue.
>
>Bump. Can anyone provide guidance as to what the best solution to this might be?

Can you provide details? `git describe` is sensitive to --first-parent and whether the tag has annotations.
--Randall